Bug 1564934 - libgomp virtualization specific failure?
Summary: libgomp virtualization specific failure?
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: 0xFFFF
Version: 26
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 00:28 UTC by MD
Modified: 2018-05-29 12:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:15:31 UTC
Type: Bug


Attachments (Terms of Use)
vm config (3.00 KB, text/plain)
2018-04-09 01:03 UTC, MD
no flags Details

Description MD 2018-04-09 00:28:55 UTC
Description of problem:
Virtualized Fedora26 (KVM & libvirt) @ 4.15.14-200.fc26.x86_64 with libgomp
libgomp-7.3.1-2.fc26.x86_64 fails to run various OpenMP programs as expected.
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Download https://people.sc.fsu.edu/~jburkardt/c_src/fft_openmp/fft_openmp.c
2. Compile: gcc -fopenmp fft_openmp.c -o fft_omp && /usr/bin/time ./fft_omp


Actual results:
(killed by SIGINT)
FFT_OPENMP

  C/OpenMP version

  Demonstrate an implementation of the Fast Fourier Transform

  of a complex data vector, using OpenMP for parallel execution.

  Number of processors available = 6

  Number of threads =              6

  Accuracy check:

    FFT ( FFT ( X(1:N) ) ) == N * X(1:N)

             N      NITS    Error         Time          Time/Call     MFLOPS

             2     10000  7.859082e-17  8.140182e-02  4.070091e-06      2.456948

             4     10000  1.209837e-16  1.973767e-01  9.868835e-06      4.053163

             8     10000  6.820795e-17  3.165148e-01  1.582574e-05      7.582583

            16     10000  1.438671e-16  4.054565e-01  2.027282e-05     15.784678

            32      1000  1.331210e-16  4.750903e-02  2.375451e-05     33.677812

            64      1000  1.776545e-16  6.217199e-02  3.108599e-05     61.764152

           128      1000  1.929043e-16  7.576336e-02  3.788168e-05    118.262967

           256      1000  2.092319e-16  9.623131e-02  4.811566e-05    212.820540

           512       100  1.927488e-16  1.172973e-02  5.864865e-05    392.847884

          1024       100  2.308607e-16  1.693694e-02  8.468468e-05    604.595742

          2048       100  2.447624e-16  2.333167e-02  1.166584e-04    965.554338

          4096       100  2.479782e-16  4.363541e-02  2.181771e-04   1126.424514

          8192        10  2.578088e-16  7.337646e-03  3.668823e-04   1451.364647

         16384        10  2.733986e-16  1.579830e-02  7.899151e-04   1451.902777

         32768        10  2.923012e-16  2.900347e-02  1.450174e-03   1694.693481

         65536        10  2.829927e-16  6.549207e-02  3.274603e-03   1601.073278

        131072         1  3.149670e-16  1.594036e-02  7.970178e-03   1397.850751

        262144         1  3.218597e-16  2.759854e-02  1.379927e-02   1709.725410

        524288         1  3.281373e-16  5.511114e-02  2.755557e-02   1807.524279

       1048576         1  3.285898e-16  1.380702e-01  6.903508e-02   1518.903176

       2097152         1  3.508387e-16  2.687305e-01  1.343653e-01   1638.823594

       4194304         1  3.559249e-16  5.805769e-01  2.902885e-01   1589.361906

       8388608         1  3.711685e-16  1.137226e+00  5.686131e-01   1696.566545

^C

42.69user 23.07system 5:39.79elapsed 19%CPU (0avgtext+0avgdata 521776maxresident)k

5374200inputs+0outputs (413980major+831246minor)pagefaults 0swaps

Expected results:
############################################
###At F27 (and F20 and(!) _bare metal_ F26)###
############################################
FFT_OPENMP

  C/OpenMP version

  Demonstrate an implementation of the Fast Fourier Transform

  of a complex data vector, using OpenMP for parallel execution.

  Number of processors available = 3

  Number of threads =              3

  Accuracy check:

    FFT ( FFT ( X(1:N) ) ) == N * X(1:N)

             N      NITS    Error         Time          Time/Call     MFLOPS

             2     10000  7.859082e-17  8.736864e-02  4.368432e-06      2.289151

             4     10000  1.209837e-16  2.069635e-01  1.034817e-05      3.865416

             8     10000  6.820795e-17  2.800716e-01  1.400358e-05      8.569237

            16     10000  1.438671e-16  3.806491e-01  1.903245e-05     16.813386

            32      1000  1.331210e-16  4.599179e-02  2.299590e-05     34.788816

            64      1000  1.776545e-16  5.888102e-02  2.944051e-05     65.216263

           128      1000  1.929043e-16  7.431453e-02  3.715726e-05    120.568620

           256      1000  2.092319e-16  9.570298e-02  4.785149e-05    213.995431

           512       100  1.927488e-16  1.184063e-02  5.920313e-05    389.168580

          1024       100  2.308607e-16  1.845635e-02  9.228177e-05    554.822475

          2048       100  2.447624e-16  2.831297e-02  1.415648e-04    795.677797

          4096       100  2.479782e-16  5.461740e-02  2.730870e-04    899.932922

          8192        10  2.578088e-16  9.961599e-03  4.980800e-04   1069.065318

         16384        10  2.733986e-16  2.307697e-02  1.153849e-03    993.960603

         32768        10  2.923012e-16  4.176308e-02  2.088154e-03   1176.924803

         65536        10  2.829927e-16  9.129639e-02  4.564819e-03   1148.540497

        131072         1  3.149670e-16  1.742285e-02  8.711427e-03   1278.908652

        262144         1  3.218597e-16  4.682279e-02  2.341140e-02   1007.755390

        524288         1  3.281373e-16  7.959873e-02  3.979937e-02   1251.461110

       1048576         1  3.285898e-16  2.102067e-01  1.051034e-01    997.661802

       2097152         1  3.508387e-16  4.234587e-01  2.117293e-01   1040.011621

       4194304         1  3.559249e-16  9.570938e-01  4.785469e-01    964.113350

       8388608         1  3.711685e-16  1.744875e+00  8.724374e-01   1105.741159

      16777216         1  3.652934e-16  3.763558e+00  1.881779e+00   1069.873706

      33554432         1  3.816646e-16  7.398697e+00  3.699348e+00   1133.795317

FFT_OPENMP:

  Normal end of execution.

08 April 2018 07:42:24 PM

98.92user 2.80system 0:49.00elapsed 207%CPU (0avgtext+0avgdata 1853660maxresident)k

208inputs+0outputs (1major+913486minor)pagefaults 0swaps

Additional info:
Can provide additional env component config/versions and debugging if required.

Comment 1 MD 2018-04-09 01:03:32 UTC
Created attachment 1419084 [details]
vm config

vm configuration

Comment 2 Fedora End Of Life 2018-05-03 07:53:47 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 12:15:31 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.